OptimoCMSDocs

Batch

Bulk operations

POST
/v1/sites/{siteId}/batch

Authorization

ApiKeyAuth
X-Api-Key<token>

API key obtained from the CMS dashboard.

In: header

Path Parameters

siteId*string

Header Parameters

Idempotency-Key*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/sites/string/batch" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "operations": [      {        "method": "GET",        "path": "string"      }    ]  }'
{
  "data": {
    "results": [
      {
        "index": 0,
        "method": "string",
        "path": "string",
        "status": 0,
        "body": {}
      }
    ],
    "summary": {
      "total": 0,
      "succeeded": 0,
      "failed": 0
    }
  },
  "meta": {
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
{
  "data": {
    "results": [
      {
        "index": 0,
        "method": "string",
        "path": "string",
        "status": 0,
        "body": {}
      }
    ],
    "summary": {
      "total": 0,
      "succeeded": 0,
      "failed": 0
    }
  },
  "meta": {
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {}
  },
  "meta": {
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
    "timestamp": "2019-08-24T14:15:22Z"
  }
}